# type: ignore[attr-defined]
"""A Python, redis-backed, distributed Multi-Armed Bandit Framework. The goal is being able to scale a MAB horizontally."""

import sys

if sys.version_info >= (3, 8):
    from importlib import metadata as importlib_metadata
else:
    import importlib_metadata


def get_version() -> str:
    try:
        return importlib_metadata.version(__name__)
    except importlib_metadata.PackageNotFoundError:  # pragma: no cover
        return "unknown"


version: str = get_version()
